| Home | Libraries | People | FAQ | More

## Function template find_nth

boost::algorithm::find_nth — Find n-th algorithm.

## Synopsis

    template<typename Range1T, typename Range2T>
      iterator_range< typename range_result_iterator< Range1T >::type >
      find_nth(Range1T & Input, const Range2T & Search, int Nth);

## Description

Search for the n-th (zero-indexed) occurence of the substring in the input.

Parameters:

`Input` | A string which will be searched.
`Nth` | An index (zero-indexed) of the match to be found. For negative N, the matches are counted from the end of string.
`Search` | A substring to be searched for.

Returns: | An `iterator_range` delimiting the match. Returned iterator is either `Range1T::iterator` or `Range1T::const_iterator` , depending on the constness of the input parameter.

| Copyright © 2002-2004 Pavol Droba